/** extension */
(function ($, LOGA) {

$(document).on('click', '#get_hashcode', function() {
	var e_alias = $('input[name="e_alias"]').val(),
		e_author = $('input[name="e_author"]').val(),
		e_author_email = $('input[name="e_author_email"]').val();
	$.getJSON(GV.URL.GET_EXTENSION_HASHCODE+'&e_alias='+e_alias+'&e_author='+e_author+'&e_author_email='+e_author_email+'&'+Math.random(), function(result) {
		$('#e_hashcode').text(result).show();
		$('input[name="e_hashcode"]').val(result);
	});
});

$(document).on('click', '.toggle_field', function() {
	var flag = $(this).prop('checked');
	if(flag) {
		$('#'+$(this).attr('to2')).hide();
		$('#'+$(this).attr('to1')).show();
	}
	else {
		$('#'+$(this).attr('to1')).hide();
		$('#'+$(this).attr('to2')).show();
	}
});

$(document).on('click', '#add_language', function() {
	var str;
	str += '<tr>';
	str += '<td colspan="2" class="inputArea">';
	str += '<label><input type="file" name="e_lang_upload[]" /></label> <span class="btn btn-sm delete_language">' + LOGA.L('DELETE') + '</span>';
	str += '</td>';
	str += '</tr>';
	$('#language_list').append(str);
})
.on('click', '.delete_language', function() {
	$(this).parent().parent().remove();
});

})(jQuery, LOGA);
